View Issue Details

IDProjectCategoryView StatusLast Update
06197Bug reportsRemoteControlpublic2012-06-20 14:05
Reporteruser20342Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00RC2 
Fixed in Version2.00RC3 
Summary06197: Session expiration timeout is 0
DescriptionDuring the call of the get_session_key, function through the xml-rpc api, the expiration time is the same as the present time.
It seems that in the line that is calculated,
$session->expire = time() + Yii::app()->getConfig('sess_expiration'); (application/controllers/admin/remotecontrol.php:122)
the result of the Yii::app()->getConfig('sess_expiration'); is empty, due to not being declared in the config_default.php file.
Additional InformationProposed solution:
1.Add sess_expiration setting in the config_default.php file (or any other)
OR
2.Instead of using Yii::app()->getConfig('sess_expiration'); use Yii::app()->getRegistry('sess_expiration');
TagsNo tags attached.
Complete LimeSurvey version number (& build)120528
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql 5.5.22
Server OS (if known)ubuntu 12.04
Webserver software & version (if known)apache 2.2.22
PHP Version5.3.10

Activities

Mazi

Mazi

2012-06-12 11:50

partner   ~19181

Carsten, is that part of the API you started to develop?
c_schmitz

c_schmitz

2012-06-18 12:07

administrator   ~19303

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8763
c_schmitz

c_schmitz

2012-06-20 14:05

administrator   ~19372

2.0RC3 released

Related Changesets

LimeSurvey: Yii cb8844e3

2012-06-18 03:07:01

c_schmitz

Details Diff
Fixed issue 06197: Session expiration timeout is 0 Affected Issues
06197
mod - application/config/config-defaults.php Diff File
mod - application/controllers/admin/globalsettings.php Diff File
mod - application/controllers/admin/remotecontrol.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/models/Sessions.php Diff File
mod - application/views/admin/globalSettings_view.php Diff File

Issue History

Date Modified Username Field Change
2012-06-11 15:32 user20342 New Issue
2012-06-12 11:50 Mazi Assigned To => c_schmitz
2012-06-12 11:50 Mazi Status new => assigned
2012-06-12 11:50 Mazi Note Added: 19181
2012-06-18 12:07 c_schmitz Changeset attached => LimeSurvey Yii cb8844e3
2012-06-18 12:07 c_schmitz Note Added: 19303
2012-06-18 12:07 c_schmitz Resolution open => fixed
2012-06-18 12:10 c_schmitz Status assigned => resolved
2012-06-18 12:10 c_schmitz Fixed in Version => 2.00RC3
2012-06-20 14:05 c_schmitz Note Added: 19372
2012-06-20 14:05 c_schmitz Status resolved => closed